"Versioning must be enabled" error when applying a template

%3CLINGO-SUB%20id%3D%22lingo-sub-1980705%22%20slang%3D%22en-US%22%3E%22Versioning%20must%20be%20enabled%22%20error%20when%20applying%20a%20template%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1980705%22%20slang%3D%22en-US%22%3E%3CP%3EWe%20have%20a%20PnP%20template%20XML%20file%20that%20we%20use%20for%20doing%20automated%20deployments%20for%20new%20sites.%20Starting%20around%20the%20end%20of%20October%20we%20started%20getting%20this%20error%20when%20trying%20to%20apply%20the%20template%3A%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3E%3CSPAN%3EVersioning%20must%20be%20enabled%20and%20the%20number%20of%20major%20versions%20must%20be%20between%201%20and%2050000.%3C%2FSPAN%3E%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3ENeither%20the%20code%20nor%20the%20template%20had%20changed%2C%20but%20now%20we%20are%20unable%20to%20create%20new%20sites%20with%20the%20template.%20It%20would%20appear%20at%20first%20glimpse%20that%20something%20changed%20within%20SharePoint%20Online%20itself%2C%20but%20nothing%20stands%20out.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EPlease%20help!%3C%2FP%3E%3C%2FLINGO-BODY%3E
Occasional Visitor

We have a PnP template XML file that we use for doing automated deployments for new sites. Starting around the end of October we started getting this error when trying to apply the template:

 

Versioning must be enabled and the number of major versions must be between 1 and 50000.

 

Neither the code nor the template had changed, but now we are unable to create new sites with the template. It would appear at first glimpse that something changed within SharePoint Online itself, but nothing stands out.

 

Please help!

0 Replies